Home > SI 2017 Documentation > Administrator Guide > Hardware/Software Requirements

Hardware/Software Requirements

Remarks

 

This information pertains to our latest release of SI 2017.

 

The most up to date version of SI 2017 is currently: 6.10.2200.0

 

You can find out your build via Start->Help->About:

 

 

The following form will display your version number:

 

Details

Recommended Machine Specs

 

These recommendations are based on our experience and should be considered in order to have an acceptable computing experience. These recommendations assume that you are using Visio or AutoCAD to complete drawings in SI 2017. These recommendations apply to both your SI 2017 Server and SI 2017 Client...well, you don't really need dual monitors on your SI 2017 Server.

 

  • Processor: Quad Core, 2.0 GHz or greater
  • Memory: 4 GB of RAM or more. If creating drawings, 8GB of RAM or more.
  • Hard Disk: 20 GB of available space or more
  • Optical Drive: DVD-ROM (required if installing Visio from our disc)
  • Display: Dual XGA (1024 x 768) or higher resolution monitors

 

Installation on a Terminal Server is NOT supported.

Operating System (OS)

 

You can install SI 2017 on a 32-bit or 64-bit OS.

 

  • Microsoft Windows 10
  • Microsoft Windows 8
  • Microsoft Windows 7                                  
  • Microsoft Server 2012

Required Software

SI 2017 Server

 

  • Microsoft .NET Framework 4.0*
  • Windows Installer 3.1*
  • Microsoft SQL Server 2012 Express SP1**

SI 2017 Client

 

  • Microsoft .NET Framework 4.0*
  • Windows Installer 3.1*
  • Microsoft SQL Server Compact 3.5 SP2*
  • Microsoft Sync Framework 2.1*
  • Internet Explorer 11.0 or later

 

* Will install automatically. Internet connection required.

 

** Will install automatically during the Express Configuration option in the SI 2017 Server Configuration Wizard (SCW). Internet connection required.

Remarks

 

We highly recommend that you use SQL Server 2012 Express for your SI 2017 Server installation/configuration.  Using your own instances of SQL are tough to troubleshoot and you will have a much smoother implementation if you use the default install of SQL Server 2012 Express.

 

** Will install automatically during the Express Configuration option in the SI 2017 Server Configuration Wizard (SCW). Internet connection required.

 

If you are upgrading from SIX 2013, our installer will not install SQL Server 2012 Express but will instead use your existing instance of SQL Server 2005 Express.

Firewall Exceptions

 

The SI 2017 Installer will automatically add the needed exceptions to your Windows Firewall. If you are using another firewall on your machine/network, you will want to make sure that the following ports are added as exceptions:

 

Port 80 and 443 - this is the default ports for Mobile Install, Downloads, and Purchase Orders.

Port 9010 - this is the default port that the SI 2017 Client uses to connect to your SI 2017 Server.

Port 9011 - this is the default port that Mobile Quote uses to connect to your SI 2017 Server.

Port 1433 TCP - this is the default port for SQL Server.

Port 1434 UDP - this is the default port for SQL Server.

Port 3389 - Not directly related to SI 2017, but you will need this port open to access the computer that has the SI 2017 Server installed  in order to create a backup of your database.

 

The following web addresses are important and you will want to make sure these are allowed through your firewall:

 

cloud.d-tools.com

files.d-tools.com

downloads.d-tools.com

 

For complete detail on Ports and Firewall, see the following link:

http://www.d-toolsblog.com/d-tools-news/dtools-connections-ports/

Compatible Third-Party Software

 

  • Microsoft Visio 2010, 2013, 2016 (Standard, Professional, Premium)
  • Microsoft Office 2010, 2013, 2016
  • AutoCAD 2010 SP2 - 2018** (Full version required, LT does not work with SI 2017)
  • QuickBooks Pro/Premier  (US 2014-2018, CAN 2014-2018, UK 2014-2018)
  • QuickBooks Enterprise (US 14-17, CAN 17, UK 14-16)
  • QuickBooks Online (all countries they support)*** (you must have Software Assurance so that you are on the most current release of SI to ensure QuickBooks will work)

 

** If you are running a 64-bit OS, then AutoCAD must be installed as 64-bit in order to use SI 2017 Schematic blocks.

*** There are only two tax options in SI 2017 so your country's tax system must work with one of our options if you intend to push taxes to QuickBooks Online.

Last modified
11:17, 4 Oct 2017

Tags

This page has no custom tags.

Classifications

This page has no classifications.